Loading...
Searching...
No Matches
Opm::MultisegmentWellEquationAccess< Scalar, IndexTraits, numWellEq, numEq > Class Template Reference

Class administering assembler access to equation system. More...

## Public Types

using | BVectorWell = typename MultisegmentWellEquations<Scalar,IndexTraits,numWellEq,numEq>::BVectorWell
using | DiagMatWell = typename MultisegmentWellEquations<Scalar,IndexTraits,numWellEq,numEq>::DiagMatWell
using | OffDiatMatWell = typename MultisegmentWellEquations<Scalar,IndexTraits,numWellEq,numEq>::OffDiagMatWell

## Public Member Functions

| MultisegmentWellEquationAccess (MultisegmentWellEquations< Scalar, IndexTraits, numWellEq, numEq > &eqns)
| Constructor initializes reference to the equation system.
BVectorWell & | residual ()
| Returns a reference to residual vector.
OffDiatMatWell & | B ()
| Returns a reference to B matrix.
OffDiatMatWell & | C ()
| Returns a reference to C matrix.
DiagMatWell & | D ()
| Returns a reference to D matrix.

## Detailed Description

template<class Scalar, typename IndexTraits, int numWellEq, int numEq>
class Opm::MultisegmentWellEquationAccess< Scalar, IndexTraits, numWellEq, numEq >

Class administering assembler access to equation system.

The documentation for this class was generated from the following file:

- opm/simulators/wells/MultisegmentWellAssemble.cpp